ru.bitel.bgbilling.plugins.dispatch.server.dao

## Class DispatchDao

- java.lang.Object
- - ru.bitel.common.dao.AbstarctDaoConstant
  - - ru.bitel.common.dao.AbstractDao<B>
    - - ru.bitel.common.dao.AbstractIdDao<Dispatch>
      - - ru.bitel.bgbilling.plugins.dispatch.server.dao.DispatchDao

- All Implemented Interfaces:
    java.lang.AutoCloseable

      public class DispatchDao
      extends ru.bitel.common.dao.AbstractIdDao<Dispatch>

  DAO для работы с рассылками напрямую. Вместо работы с этим DAO рекомендуется работать с `DispatchService`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

      `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.dao.AbstractDao

      `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, mid, moduleId, orderByPattern, tableName`

    - ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `ERROR, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DispatchDao(java.sql.Connection con)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `checkByContactType(int contactTypeId)` Проверяет наличие расссылок с таким типом контактов
    `Dispatch` | `getDispatchFromRS(java.sql.ResultSet rs)` Возвращает подписку, полученную из переданного ResultSet'a
    `protected Dispatch` | `getFromRS(java.sql.ResultSet rs)`
    `protected Dispatch` | `getImpl(int id)` Возвращает рассылку по её коду
    `java.util.List<Dispatch>` | `getList()` Возвращает список рассылок
    `boolean` | `isOnlyOneContact(int id)` Проверяет возможность выбора более одного контакта
    `protected void` | `updateImpl(Dispatch b)`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

      `delete, get, getAndDelete, getAndUpdate`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractDao

      `close, delete, deleteImpl, eq, get, getById, getListFromRS, getPeriod, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, processException, recycle, setStatementParam, update`

    - ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `getSQLOrder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DispatchDao

          public DispatchDao(java.sql.Connection con)

  - ### Method Detail

    - #### updateImpl

          protected void updateImpl(Dispatch b)
                             throws ru.bitel.bgbilling.common.BGException,
                                    java.sql.SQLException

      Specified by:
        `updateImpl` in class `ru.bitel.common.dao.AbstractDao<Dispatch>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `java.sql.SQLException`

    - #### getFromRS

          protected Dispatch getFromRS(java.sql.ResultSet rs)
                                throws java.sql.SQLException,
                                       ru.bitel.bgbilling.common.BGException

      Specified by:
        `getFromRS` in class `ru.bitel.common.dao.AbstractDao<Dispatch>`
      Throws:
        `java.sql.SQLException`
        `ru.bitel.bgbilling.common.BGException`

    - #### getDispatchFromRS

          public Dispatch getDispatchFromRS(java.sql.ResultSet rs)
                                     throws java.sql.SQLException,
                                            ru.bitel.bgbilling.common.BGException

      Возвращает подписку, полученную из переданного ResultSet'a
      Parameters:
        `rs` -
      Returns:
      Throws:
        `java.sql.SQLException`
        `ru.bitel.bgbilling.common.BGException`

    - #### getList

          public java.util.List<Dispatch> getList()
                                           throws ru.bitel.bgbilling.common.BGException

      Возвращает список рассылок
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getImpl

          protected Dispatch getImpl(int id)
                              throws ru.bitel.bgbilling.common.BGException,
                                     java.sql.SQLException

      Возвращает рассылку по её коду
      Overrides:
        `getImpl` in class `ru.bitel.common.dao.AbstractDao<Dispatch>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `java.sql.SQLException`

    - #### checkByContactType

          public boolean checkByContactType(int contactTypeId)
                                     throws ru.bitel.bgbilling.common.BGException

      Проверяет наличие расссылок с таким типом контактов
      Parameters:
        `contactTypeId` - тип контактов
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### isOnlyOneContact

          public boolean isOnlyOneContact(int id)

      Проверяет возможность выбора более одного контакта
      Parameters:
        `id` - рассылки
      Returns: